<?php
/**
* @version		1.5.1
* @package		DJ Tab Generator
* @subpackage	DJ Tab Generator Component
* @copyright	Copyright (C) 2010 Blue Constant Media LTD, All rights reserved.
* @license		http://www.gnu.org/licenses GNU/GPL
* @autor url    http://design-joomla.eu
* @autor email  contact@design-joomla.eu
* @Developer    Lukasz Ciastek - lukasz.ciastek@design-joomla.eu
* 				Szymon Woronowski - szymon.woronowski@design-joomla.eu
* 
* 
*DJ Tab Generator is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* DJ Tab Generator is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with DJ Tab Generator. If not, see <http://www.gnu.org/licenses/>.
* 
*/

// no direct access
defined('_JEXEC') or die('Restricted access');
?>

<form action="index.php" method="post" name="adminForm">
<table class="adminlist">
	<thead>
		<tr>
			<th width="20">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->groups); ?>);" />
			</th>
			<th width="30"><?php echo JText::_( 'ID' ); ?></th>
			<th><?php echo JText::_( 'ELEMENTNAME' ); ?></th>
			<th><?php echo JText::_( 'TYPE' ); ?></th>
			<th><?php echo JText::_( 'ORDERING' ); ?>
          <?php echo JHTML::_('grid.order',  $this->elements ); ?></th>
			<th><?php echo JText::_( 'SECTION_CATEGORY_ARTICLE_ID' ); ?>
				<?php echo JText::_( 'OR' ); ?>
				<?php echo JText::_( 'MODULE POSITION NAME' ); ?></th>
			<th><?php echo JText::_( 'ELEMENTS_COUNT' ); ?></th>
			<th><?php echo JText::_( 'CHARS_COUNT' ); ?></th>
			<th><?php echo JText::_( 'OPENS_COUNT' ); ?></th>
		</tr>
	</thead>
	<?php $i=0; 
	foreach($this->elements as $l): 
	$l->name = JHTML::link('index.php?option=com_dj_tabgen&task=editelement&cid[]='.$l->element_id, $l->name);
	$checked = JHTML::_('grid.id', $i, $l->element_id );
	switch($l->type){
		case 0: $l->type = JText::_('SECTION'); break;
		case 1: $l->type = JText::_('CATEGORY'); break;
		case 2: $l->type = JText::_('ARTICLE'); break;
		case 3: $l->type = JText::_('MODULE POSITION'); break;
	}
	?>
	<tr>
		<td><?php echo $checked ?></td>
		<td><?php echo $l->element_id; ?></td>
		<td><?php echo $l->name; ?></td>
		<td><?php echo $l->type; ?></td>
		<td>
		  <span><a href="index.php?option=com_dj_tabgen&task=orderup&id=<?php echo $l->element_id;?>" ><img src="images/uparrow.png" alt="<?php echo JText::_('Move up'); ?>" title="<?php echo JText::_('Move up'); ?>" /></a></span>
      <span><a href="index.php?option=com_dj_tabgen&task=orderdown&id=<?php echo $l->element_id;?>" ><img src="images/downarrow.png" alt="<?php echo JText::_('Move down'); ?>" title="<?php echo JText::_('Move down'); ?>" /></a></span>		
      <input type="text" name="order_p[]" size="5" value="<?php echo $l->ordering; ?>" <?php echo $disabled; ?> class="text_area" style="text-align: center" />
    </td>
		<td>
			<?php if($l->type==JText::_('MODULE POSITION')) echo $l->position; else echo $l->type_id; ?>
		</td>
		<td><?php echo $l->elements_c; ?></td>
		<td><?php echo $l->char_c; ?></td>
		<td><?php echo $l->open_c; ?></td>
		
	</tr>
	<?php $i++; endforeach; ?>
</table>
<?php 
$tmp = JRequest::getVar('cid', array(), '', 'array');

?>
<input type="hidden" name="option" value="<?php echo $option; ?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="gid" value="<?php echo $tmp[0];?>" />
</form>
